



































































Write a set of functions so that a programmer who needs an odometer, with the above characteristics, can use those functions to implement the same. At the minimum, the following functions need to be written:

next reading(reading) to find the next reading for a given reading. Should return 2468 for 2467 and 2567 for 2489.
prev reading(reading) tofind the previous reading for a given reading. Should return 378 for 379 and 289 for 345.
nth reading after(reading, r) Instead of the next reading, return the reading that occurs after r rotations. The next reading can be thought of as a special case: r = 1
nth reading before(reading, r) Similar to above.
distance(reading1, reading2) Given two readings find the number of readings between them. Note that just subtracting the readings will be wrong often. You also need to handle the fact that the distance from 789 to 123 is 1, while the distance from 123 to 789 is different. If different sized readings are given return -1.
